# Uses of Enum Class
java.lang.annotation.ElementType

Packages that use ElementType
Package
Description
java.lang.annotation
Provides library support for the Java programming language annotation facility.

## Uses of ElementType in java.lang.annotation

Methods in java.lang.annotation that return ElementType
Modifier and Type
Method
Description
`static ElementType`
ElementType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ElementType[]`
ElementType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.